<html>
<head>
  <title>globaliD Connect Popup Demo</title>
  <script>
    let child;
    let childCalled = false;

    function serialize(obj) {
      return Object.keys(obj).map(function(key) {
        if (key === true) {
          return key + '=yes';
        }

        if (key === false) {
          return key + '=no';
        }

        return key + '=' + obj[key];
      }).join(',');
    }

    function launchPopup() {
      const windowFeatures = {
        left: (screen.width / 2) - 400,
        scrollbars: false,
        resizable: false,
        top: (screen.height / 2) - 240,
        width: 800,
        height: 640
      };

      child = window.open(
        'http://0.0.0.0:3003/popup.html',
        'web-client',
        serialize(windowFeatures)
      );
    }

    function closeChild() {
      childCalled = true;

      child.close();
    }
  </script>
</head>
<body>
  <button id="login" onclick="launchPopup();">Log in</button>
</body>
</html>
